<div class="container notification-page">
  <div class="container-inner">
    <!--breadcrumb start -->
    <nav class="breadcrumb">
       <a class="breadcrumb-item" href="#/dashboard"><i class="fa fa-home" aria-hidden="true"></i>Home</a>
       <span class="breadcrumb-item">Publish a Communication</span>
    </nav>
    <div class="wrapper-wrap">
      <form name="notificationForm" novalidate="novalidate" data-ng-submit="sendNotification()">
        <div class="col-sm-12">
          <h3> Publish a Communication </h3>
        </div>
        <div class="alert alert-danger" role="alert" data-ng-if="response.status === 'error' ">
           {{response.message}}
        </div>
        <div class="alert alert-success" role="alert" data-ng-show="response.status === 'success'">
           {{response.message}}
        </div>
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-3">
              <label>Select Audience</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <select data-role="multiselect" name="audience" data-ng-model="notification.audience" class="multiselect-ui form-control form-input" multiple="multiple" required="required">
                <option value="user1">User 1</option>
                <option value="user2">User 2</option>
                <option value="user3">User 3</option>
                <option value="user4">User 4</option>
                <option value="user5">User 5</option>
              </select>
              <p class="error-message help-block" ng-show="notificationForm.audience.$error.required &amp;&amp; notificationForm.audience.$touched">Audience is required.</p>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-3">
              <label>Template</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <select data-role="multiselect" name="template" data-ng-model="notification.template" class=" form-control form-input" required="required" data-ng-change="loadNewTemplate()">
                <option value="{{$index}}" data-ng-repeat="item in templates">{{item.subject}}</option>
                <option value="addNew">Add New</option>
              </select>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-3">
              <label>Subject</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <input type="text" name="subject" data-ng-disabled="!editable" data-ng-model="notification.subject" class="form-control form-input" required="required" data-ng-class="{'error': notificationForm.subject.$invalid}"></input>
              <p class="error-message help-block" ng-show="notificationForm.subject.$error.required &amp;&amp; notificationForm.subject.$touched" >Subject is required.</p>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-3">
              <label>Message</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <textarea rows="10" data-ng-disabled="!editable" data-ng-model="notification.message" name="message" required="required" class="form-control form-input" ></textarea>
              <p class="error-message help-block" ng-show="notificationForm.message.$error.required &amp;&amp; notificationForm.message.$touched">Message is required.</p>
            </div>
          </div>
        </div>
        <div class="well text-right">
          <button type="button" data-ng-if="editable" data-ng-click="disableTemplate()" class="btn btn-danger">CANCEL</button>
          <button type="button" data-ng-if="!editable" data-ng-click="editTemplate()" class="btn btn-primary">EDIT</button>
          <button type="submit" class="btn approval">SEND</button>
        </div>
      </form>
    </div>
  </div>
</div>